Bug 673581 - [abrt] rednotebook-1.1.2-1.fc14: templates.py:168:get_text:LookupError: unknown encoding: Friday, 28/01/11 20:45:06
Summary: [abrt] rednotebook-1.1.2-1.fc14: templates.py:168:get_text:LookupError: unkno...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rednotebook
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:437fb5ef
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-28 19:57 UTC by learnmarket
Modified: 2011-03-17 18:47 UTC (History)
4 users (show)

Fixed In Version: rednotebook-1.1.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-17 03:25:58 UTC


Attachments (Terms of Use)
File: backtrace (1.88 KB, text/plain)
2011-01-28 19:57 UTC, learnmarket
no flags Details

Description learnmarket 2011-01-28 19:57:02 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/bin/rednotebook
component: rednotebook
executable: /usr/bin/rednotebook
kernel: 2.6.35.10-74.fc14.i686.PAE
package: rednotebook-1.1.2-1.fc14
reason: templates.py:168:get_text:LookupError: unknown encoding: Friday, 28/01/11 20:45:06
release: Fedora release 14 (Laughlin)
time: 1296243906
uid: 500

backtrace
-----
templates.py:168:get_text:LookupError: unknown encoding: Friday, 28/01/11 20:45:06

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rednotebook/gui/main_window.py", line 666, in on_template_menu_clicked
    text = self.template_manager.get_weekday_text()
  File "/usr/lib/python2.7/site-packages/rednotebook/templates.py", line 185, in get_weekday_text
    return self.get_text(str(week_day_number))
  File "/usr/lib/python2.7/site-packages/rednotebook/templates.py", line 168, in get_text
    date = date.decode(date)
LookupError: unknown encoding: Friday, 28/01/11 20:45:06

Local variables in innermost frame:
default_date_string: '%A, %x %X'
title: '5'
text: u'=== This is a template ===\n\nTo edit it, click the arrow right of "Template" and select the template under "Edit Template".\n\nTemplates can contain any formatting or content that is also allowed in normal entries.\n\nYour text can be:\n\n- **bold**\n- //italic//\n- __underlined__\n- --strikethrough--\n\n\nYou can add images to your template:\n\n**Images:** [""/path/to/your/picture"".jpg]\n\nYou can link to almost everything:\n\n- **links to files on your computer:** [filename.txt ""/path/to/filename.txt""]\n- **links to directories:** [directory name ""/path/to/directory/""]\n- **links to websites:** [RedNotebook Homepage ""http://rednotebook.sourceforge.net""]\n\n\nAs you see, **bullet lists** are also available. As always you have to add two empty lines to end a list.\n\nAdditionally you can have **titles** and **horizontal lines**:\n\n===Title===\n\n==================== \n\n**Macros**:\n\nWhen a template is inserted, every occurence of "$date$" is converted to the current date. You can set the date format in the preferences.\n'
self: <rednotebook.templates.TemplateManager object at 0xa70ebec>
filename: '/home/javier/.rednotebook/templates/5.txt'
date: 'Friday, 28/01/11 20:45:06'
date_string: '%A, %x %X'

How to reproduce
-----
1. when trying to open help menu
2. then crashed
3.

Comment 1 learnmarket 2011-01-28 19:57:05 UTC
Created attachment 475864 [details]
File: backtrace

Comment 2 Gryphon143 2011-02-05 07:55:20 UTC
Package: rednotebook-1.1.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Actually, I was trying to template in my application RedNoteBook.... and it crashed....

Comment 3 Gryphon143 2011-02-09 13:55:26 UTC
Package: rednotebook-1.1.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Using Template

Comment 4 Fedora Update System 2011-03-06 15:11:40 UTC
rednotebook-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc14

Comment 5 Fedora Update System 2011-03-06 15:12:06 UTC
rednotebook-1.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc15

Comment 6 Fedora Update System 2011-03-06 17:46:14 UTC
rednotebook-1.1.3-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rednotebook-1.1.3-1.fc15

Comment 7 Christoph Wickert 2011-03-06 18:06:25 UTC
The changelog [1] does not mention this problem, what makes you think it is fixed in 1.1.3?

[1] http://bazaar.launchpad.net/~jendrikseipp/rednotebook/trunk/annotate/head:/CHANGELOG

Comment 8 Eric Reitmaier 2011-03-08 08:33:04 UTC
Package: rednotebook-1.1.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Click on Template
2.
3.


Comment
-----
Started RedNotebook and click on Template

Comment 9 Eric Reitmaier 2011-03-08 21:50:57 UTC
Package: rednotebook-1.1.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Select a template for use
2.
3.


Comment
-----
Just created a new template named 'Concert'
Trying to use it.

Comment 10 Fedora Update System 2011-03-17 03:25:44 UTC
rednotebook-1.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-17 18:47:06 UTC
rednotebook-1.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.